aboutsummaryrefslogtreecommitdiffstats
path: root/community/cassandra-cpp-driver
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2017-03-22 01:02:19 +0200
committerTimo Teräs <timo.teras@iki.fi>2017-03-22 06:34:27 +0000
commit4250b600401fd4069e5b4dd06675462321df349d (patch)
tree363924b2bc7f3461e1a941ac9766dbfcc3538bba /community/cassandra-cpp-driver
parent842b1d3b9bb798d7516f7d3e9f7c4ecd3fdda5fc (diff)
downloadaports-4250b600401fd4069e5b4dd06675462321df349d.tar.gz
aports-4250b600401fd4069e5b4dd06675462321df349d.tar.bz2
aports-4250b600401fd4069e5b4dd06675462321df349d.tar.xz
community/cassandra-cpp-driver: moved from testing
- would be need to build community/php7-cassandra
Diffstat (limited to 'community/cassandra-cpp-driver')
-rw-r--r--community/cassandra-cpp-driver/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/community/cassandra-cpp-driver/APKBUILD b/community/cassandra-cpp-driver/APKBUILD
new file mode 100644
index 0000000000..f48a46aea7
--- /dev/null
+++ b/community/cassandra-cpp-driver/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Gennady Feldman <gena01@gmail.com>
+# Maintainer: Gennady Feldman <gena01@gmail.com>
+pkgname=cassandra-cpp-driver
+_pkgreal=cpp-driver
+pkgver=2.6.0
+pkgrel=0
+pkgdesc="Cassandra CPP Driver"
+url="http://datastax.github.io/cpp-driver/"
+arch="x86_64 x86"
+license="ASL 2.0"
+depends=
+makedepends="cmake make libressl-dev libuv-dev"
+subpackages="$pkgname-dev"
+source="$_pkgreal-$pkgver.tar.gz::https://github.com/datastax/cpp-driver/archive/$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+build() {
+ mkdir -p "$builddir"/build
+ cd "$builddir"/build
+ cmake \
+ -DCMAKE_BUILD_TYPE=RELEASE \
+ -DCASS_BUILD_STATIC=ON \
+ -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib .. \
+ || return 1
+ make
+}
+
+package() {
+ make -C "$builddir"/build DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="ea04859ebc1f472e654cf7d2e93e57a700de7180307eb4b6aa4b5d6941b56a666103ddd93f2821cd055fcb95658c0ab876d001aa625ffb29c2ce94c034dc8a04 cpp-driver-2.6.0.tar.gz"